$ErrorActionPreference = 'Stop'

$packageArgs = @{
  packageName    = 'calibre'
  fileType       = 'MSI'
  url            = 'https://download.calibre-ebook.com/2.74.0/calibre-2.74.0.msi'
  url64Bit       = 'https://download.calibre-ebook.com/2.74.0/calibre-64bit-2.74.0.msi'
  checksum       = '199c9c31cb5e88c44077d5e983f3227d70cca0a93657027eafbbda225f58202e'
  checksum64     = '7e2d1aa0f5c86d840162688ed94eb2d5361e57bce6b730940187cb96f50439e7'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/quiet'
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
